Package Details: proton-git 1:4.11.7.r0.g71d4637-1

Git Clone URL: https://aur.archlinux.org/proton-git.git (read-only, click to copy)
Package Base: proton-git
Description: Compatibility tool for Steam Play based on Wine and additional components
Upstream URL: https://github.com/ValveSoftware/Proton/
Keywords: games git proton steam
Licenses: BSD
Conflicts: proton
Provides: proton
Submitter: yurikoles
Maintainer: PrinceMachiavell
Last Packager: PrinceMachiavell
Votes: 12
Popularity: 0.36
First Submitted: 2018-09-23 15:34
Last Updated: 2019-10-29 00:16

Latest Comments

« First ‹ Previous 1 2

Itchie commented on 2018-10-17 23:00

Edit PKGBUILD and change pkgver() to following code as mentioned in the https://wiki.archlinux.org/index.php/VCS_package_guidelines

pkgver() {
  local version count

  cd "${pkgname}"

  version="$(git describe --abbrev=0 --tags | sed 's/\([^-]*-g\)/r\1/;s/-/./g')"
  count="$(git rev-list --count $(git describe --abbrev=0 --tags)..)"
  printf '%s.%s' "${version#proton-3.7*-}" "${count}"
}

@yurikoles

IEPforAUR commented on 2018-10-17 21:13

==> ERROR: pkgver is not allowed to contain colons, forward slashes, hyphens or whitespace. ==> ERROR: pkgver() generated an invalid version: proton-3.16beta-20181016.7 ==> ERROR: Makepkg was unable to build proton-git.

yurikoles commented on 2018-10-15 07:13

@zfkerr, thanks, fixed!

zfkerr commented on 2018-10-15 06:34

@yurikoles

      ==> Entering fakeroot environment...
      ==> Starting package()...
      install: cannot stat 'dist.LICENSE.lin': No such file or directory
      ==> ERROR: A failure occurred in package().
          Aborting...
      ==> ERROR: Makepkg was unable to build proton-git.

yurikoles commented on 2018-09-26 18:25

@Kiwii I'm not sure, you better to ask @Forty-Bot in proton package, I had just modified it to compile from branch insteam of release.

Kiwii commented on 2018-09-25 23:48

So, what do you have to do with a wine prefix to get a game in Wine to use the lsteamclient.dll.so and communicate with the native Steam? Does it need any overrides or do I have to copy dll files from the native Steam client's legacycompat folder somewhere?

Or am I vastly misunderstanding the intention of this package?